de.esprit.appsuite.database.dbase.meta

## Class JdbcTable

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.appsuite.database.dbase.meta.JdbcTable

- All Implemented Interfaces:
    DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable

      public class JdbcTable
      extends TransferableObject

  This class models the table information read from the database metadata
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JdbcTable(java.lang.String dbName, java.lang.String schemaName, java.lang.String tableName, java.lang.String tableType, java.lang.String remarks)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<JdbcColumn>` | `getAttributeColumns()`
    `int` | `getAttributeCount()`
    `java.util.List<java.lang.String>` | `getAttributeNames()`
    `JdbcColumn` | `getColumn(int i)`
    `JdbcColumn` | `getColumn(java.lang.String columnName)`
    `int` | `getColumnCount()`
    `java.lang.String` | `getDBName()`
    `int` | `getForeignKeyCount()`
    `java.lang.String` | `getFullName()`
    `int` | `getMaxColumnNameLength()`
    `java.util.List<JdbcColumn>` | `getPrimaryKeyColumns()`
    `int` | `getPrimaryKeyCount()`
    `java.util.List<java.lang.String>` | `getPrimaryKeyNames()`
    `java.lang.String` | `getRemarks()`
    `java.lang.String` | `getSchemaName()`
    `java.lang.String` | `getTableName()`
    `java.lang.String` | `getTableType()`
    `boolean` | `hasColumnInfo()`
    `boolean` | `hasForeignKey()`
    `boolean` | `hasPrimaryKey()`
    `void` | `readColumns(DBTypeMapper mapper, java.sql.DatabaseMetaData md)`
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.
    `java.lang.String` | `toString()` Returns a single line String that shows the values of the most important state variables of this object.

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JdbcTable

          public JdbcTable(java.lang.String dbName,
                   java.lang.String schemaName,
                   java.lang.String tableName,
                   java.lang.String tableType,
                   java.lang.String remarks)
                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### readColumns

          public void readColumns(DBTypeMapper mapper,
                         java.sql.DatabaseMetaData md)
                           throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### toString

          public java.lang.String toString()

      Description copied from interface: `Dumpable`
      Returns a single line String that shows the values of the most important state variables of this object. This is intentionally the same toString() method which is already provided by Object per se.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

    - #### getDBName

          public java.lang.String getDBName()

    - #### getSchemaName

          public java.lang.String getSchemaName()

    - #### getTableName

          public java.lang.String getTableName()

    - #### getTableType

          public java.lang.String getTableType()

    - #### getRemarks

          public java.lang.String getRemarks()

    - #### getFullName

          public java.lang.String getFullName()

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `DumpableObject`

    - #### hasColumnInfo

          public boolean hasColumnInfo()

    - #### hasPrimaryKey

          public boolean hasPrimaryKey()

    - #### hasForeignKey

          public boolean hasForeignKey()

    - #### getColumnCount

          public int getColumnCount()

    - #### getPrimaryKeyCount

          public int getPrimaryKeyCount()

    - #### getAttributeCount

          public int getAttributeCount()

    - #### getForeignKeyCount

          public int getForeignKeyCount()

    - #### getColumn

          public JdbcColumn getColumn(int i)

    - #### getMaxColumnNameLength

          public int getMaxColumnNameLength()

    - #### getPrimaryKeyColumns

          public java.util.List<JdbcColumn> getPrimaryKeyColumns()

    - #### getPrimaryKeyNames

          public java.util.List<java.lang.String> getPrimaryKeyNames()

    - #### getAttributeColumns

          public java.util.List<JdbcColumn> getAttributeColumns()

    - #### getAttributeNames

          public java.util.List<java.lang.String> getAttributeNames()

    - #### getColumn

          public JdbcColumn getColumn(java.lang.String columnName)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.